The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Wireshark 1.10: three vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of Wireshark 1.10.
Impacted systems: Debian, openSUSE, Solaris, RHEL, Wireshark.
Severity of this alert: 2/4.
Number of vulnerabilities in this bulletin: 3.
Creation date: 05/03/2015.
Références of this alert: bulletinapr2015, CERTFR-2015-AVI-087, CERTFR-2015-AVI-169, CVE-2015-2188, CVE-2015-2189, CVE-2015-2191, DSA-3210-1, MDVSA-2015:183, openSUSE-SU-2015:0489-1, RHSA-2015:1460-01, RHSA-2015:2393-01, VIGILANCE-VUL-16319, wnpa-sec-2015-07, wnpa-sec-2015-08, wnpa-sec-2015-10.

Description of the vulnerability 

Several vulnerabilities were announced in Wireshark 1.10.

An attacker can send a malicious WCP packet, in order to trigger a denial of service. [severity:2/4; CVE-2015-2188, wnpa-sec-2015-07]

An attacker can generate an error in pcapng, in order to trigger a denial of service. [severity:2/4; CVE-2015-2189, wnpa-sec-2015-08]

An attacker can generate an infinite loop in TNEF, in order to trigger a denial of service. [severity:2/4; CVE-2015-2191, wnpa-sec-2015-10]
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This cybersecurity announce impacts software or systems such as Debian, openSUSE, Solaris, RHEL, Wireshark.

Our Vigil@nce team determined that the severity of this threat alert is medium.

The trust level is of type confirmed by the editor, with an origin of intranet client.

This bulletin is about 3 vulnerabilities.

An attacker with a expert ability can exploit this computer weakness alert.

Solutions for this threat 

Wireshark: version 1.10.13.
The version 1.10.13 is fixed:
  http://www.wireshark.org/download.html

Debian: new wireshark packages.
New packages are available:
  Debian 7: wireshark 1.8.2-5wheezy15

Mandriva BS1: new wireshark packages.
New packages are available:
  Mandriva BS1: wireshark 1.10.13-1.mbs1

openSUSE: new wireshark packages.
New packages are available:
  openSUSE 13.1: wireshark 1.10.13-36.1
  openSUSE 13.2: wireshark 1.12.4-12.1

RHEL 6: new wireshark packages.
New packages are available:
  RHEL 6: wireshark 1.8.10-17.el6

RHEL 7: new wireshark packages.
New packages are available:
  RHEL 7: wireshark 1.10.14-7.el7

Solaris: patch for Third Party (15/04/2015).
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a networks vulnerabilities alert. The technology watch team tracks security threats targeting the computer system.